html,
body,
#app {
	height: 100%;
	background: $main-background;
}

.fade {
	&-enter-active,
	&-leave-active {
		transition: opacity 0.3s ease;
	}

	&-enter-from,
	&-leave-to {
		opacity: 0;
	}
}

.slide {
	&-enter-active,
	&-leave-active {
		transition: all 0.6s ease;
	}

	&-enter-from,
	&-leave-to {
		opacity: 0;
		transform: translateX(20%);
	}
}

.shadow {
	background: transparent;
	transition: box-shadow 0.3s ease;
	box-shadow: $shadow-deep;
	//box-shadow: -5px -10px 15px -1px rgb(255 255 255 / 60%), 0px 1px 1px 0px rgb(0 0 0 / 3%), 5px 10px 15px -1px rgb(0 0 0 / 20%),
	//	inset 0 3px 4px -1px rgb(255 255 255 / 20%),
	//	inset 1px 1px 0 0 rgb(255 255 255 / 30%),
	//	inset 0 20px 30px 0 rgb(255 255 255 / 20%);
}

.shadow-flat {
	box-shadow: $shadow-deep;
	background: $main-background;
}

.shadow-flat-inner {
	box-shadow: $shadow-deep-inner;
	background: $main-background;
}

.shadow-convex {
	box-shadow: $shadow-deep;
	background: $main-background;
	background: linear-gradient(-45deg, rgba(0, 0, 0, 0.22), rgba(255, 255, 255, 0.25));
}

.shadow-concave {
	box-shadow: $shadow-deep;
	background: $main-background;
	background: linear-gradient(135deg, rgba(0, 0, 0, 0.22), rgba(255, 255, 255, 0.25));
}

.backdrop {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: url('@/assets/img/food-bg.jpg');

	.backdrop__logo {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		margin: auto;
		width: 200px;
		height: 200px;
		background: url('@/assets/img/logo-square-animate.svg');
	}
}

.q-dialog_auth {
	.q-dialog__backdrop {
		opacity: 0;
	}
}
